net.minecraft.client.renderer.entity

## Class RenderPlayer

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderPlayer

-     public class RenderPlayer
      extends RendererLivingEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelBiped` | `modelArmor`
    `ModelBiped` | `modelArmorChestplate`
    `ModelBiped` | `modelBipedMain`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPlayer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(AbstractClientPlayer par1AbstractClientPlayer, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, float par8, float par9)`
    `protected void` | `func_82408_c(AbstractClientPlayer par1AbstractClientPlayer, int par2, float par3)`
    `protected void` | `func_82408_c(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected void` | `func_96449_a(AbstractClientPlayer par1AbstractClientPlayer, double par2, double par4, double par6, java.lang.String par8Str, float par9, double par10)`
    `protected void` | `func_96449_a(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, java.lang.String par8Str, float par9, double par10)`
    `protected ResourceLocation` | `getEntityTexture(AbstractClientPlayer par1AbstractClientPlayer)`
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected void` | `preRenderCallback(AbstractClientPlayer par1AbstractClientPlayer, float par2)`
    `protected void` | `preRenderCallback(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderEquippedItems(AbstractClientPlayer par1AbstractClientPlayer, float par2)`
    `protected void` | `renderEquippedItems(EntityLivingBase par1EntityLivingBase, float par2)`
    `void` | `renderFirstPersonArm(EntityPlayer par1EntityPlayer)`
    `protected void` | `renderLivingAt(AbstractClientPlayer par1AbstractClientPlayer, double par2, double par4, double par6)`
    `protected void` | `renderLivingAt(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6)`
    `protected void` | `rotateCorpse(AbstractClientPlayer par1AbstractClientPlayer, float par2, float par3, float par4)`
    `protected void` | `rotateCorpse(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)`
    `protected int` | `shouldRenderPass(AbstractClientPlayer par1AbstractClientPlayer, int par2, float par3)`
    `protected int` | `shouldRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_110813_b, getColorMultiplier, getDeathMaxRotation, handleRotationFloat, inheritRenderPass, passSpecialRender, renderArrowsStuckInEntity, renderModel, renderSwingProgress, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelBipedMain

          public ModelBiped modelBipedMain

    - #### modelArmorChestplate

          public ModelBiped modelArmorChestplate

    - #### modelArmor

          public ModelBiped modelArmor

  - ### Constructor Detail

    - #### RenderPlayer

          public RenderPlayer()

  - ### Method Detail

    - #### shouldRenderPass

          protected int shouldRenderPass(AbstractClientPlayer par1AbstractClientPlayer,
                             int par2,
                             float par3)

    - #### func_82408_c

          protected void func_82408_c(AbstractClientPlayer par1AbstractClientPlayer,
                          int par2,
                          float par3)

    - #### doRender

          public void doRender(AbstractClientPlayer par1AbstractClientPlayer,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(AbstractClientPlayer par1AbstractClientPlayer)

    - #### renderEquippedItems

          protected void renderEquippedItems(AbstractClientPlayer par1AbstractClientPlayer,
                                 float par2)

    - #### preRenderCallback

          protected void preRenderCallback(AbstractClientPlayer par1AbstractClientPlayer,
                               float par2)

    - #### func_96449_a

          protected void func_96449_a(AbstractClientPlayer par1AbstractClientPlayer,
                          double par2,
                          double par4,
                          double par6,
                          java.lang.String par8Str,
                          float par9,
                          double par10)

    - #### renderFirstPersonArm

          public void renderFirstPersonArm(EntityPlayer par1EntityPlayer)

    - #### renderLivingAt

          protected void renderLivingAt(AbstractClientPlayer par1AbstractClientPlayer,
                            double par2,
                            double par4,
                            double par6)

    - #### rotateCorpse

          protected void rotateCorpse(AbstractClientPlayer par1AbstractClientPlayer,
                          float par2,
                          float par3,
                          float par4)

    - #### func_96449_a

          protected void func_96449_a(EntityLivingBase par1EntityLivingBase,
                          double par2,
                          double par4,
                          double par6,
                          java.lang.String par8Str,
                          float par9,
                          double par10)

      Overrides:
        `func_96449_a` in class `RendererLivingEntity`

    - #### preRenderCallback

          protected void preRenderCallback(EntityLivingBase par1EntityLivingBase,
                               float par2)

      Overrides:
        `preRenderCallback` in class `RendererLivingEntity`

    - #### func_82408_c

          protected void func_82408_c(EntityLivingBase par1EntityLivingBase,
                          int par2,
                          float par3)

      Overrides:
        `func_82408_c` in class `RendererLivingEntity`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLivingBase par1EntityLivingBase,
                             int par2,
                             float par3)

      Overrides:
        `shouldRenderPass` in class `RendererLivingEntity`

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLivingBase par1EntityLivingBase,
                                 float par2)

      Overrides:
        `renderEquippedItems` in class `RendererLivingEntity`

    - #### rotateCorpse

          protected void rotateCorpse(EntityLivingBase par1EntityLivingBase,
                          float par2,
                          float par3,
                          float par4)

      Overrides:
        `rotateCorpse` in class `RendererLivingEntity`

    - #### renderLivingAt

          protected void renderLivingAt(EntityLivingBase par1EntityLivingBase,
                            double par2,
                            double par4,
                            double par6)

      Overrides:
        `renderLivingAt` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(EntityLivingBase par1EntityLivingBase,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RendererLivingEntity`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RendererLivingEntity`